CVE-2006-3019
CVSS7.5
发布时间 :2006-06-15 06:02:00
修订时间 :2011-09-08 00:00:00
NMCO    

[原文]Multiple PHP remote file inclusion vulnerabilities in phpCMS 1.2.1pl2 allow remote attackers to execute arbitrary PHP code via a URL in the PHPCMS_INCLUDEPATH parameter to files in parser/include/ including (1) class.parser_phpcms.php, (2) class.session_phpcms.php, (3) class.edit_phpcms.php, (4) class.http_indexer_phpcms.php, (5) class.cache_phpcms.php, (6) class.search_phpcms.php, (7) class.lib_indexer_universal_phpcms.php, and (8) class.layout_phpcms.php, (9) parser/plugs/counter.php, and (10) parser/parser.php. NOTE: the class.cache_phpcms.php vector was also reported to affect 1.1.7.


[CNNVD]phpCMS 多个PHP远程文件包含漏洞(CNNVD-200606-323)

        phpCMS 1.2.1pl2存在多个PHP远程文件包含漏洞。远程攻击者可以借助对包括(1) class.parser_phpcms.php, (2) class.session_phpcms.php, (3) class.edit_phpcms.php, (4) class.http_indexer_phpcms.php, (5) class.cache_phpcms.php, (6) class.search_phpcms.php, (7) class.lib_indexer_universal_phpcms.php, 以及(8) class.layout_phpcms.php, (9) parser/plugs/counter.php和(10) parser/parser.php的parser/include/中的文件的PHPCMS_INCLUDEPATH 参数中的URL,执行任意PHP代码。 注意: 报告称class.cache_phpcms.php向量也会影响1.1.7版本。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3019
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3019
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-323
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/27067
(UNKNOWN)  XF  phpcms-includepath-file-include(27067)
http://www.vupen.com/english/advisories/2006/2302
(VENDOR_ADVISORY)  VUPEN  ADV-2006-2302
http://www.securityfocus.com/bid/21768
(UNKNOWN)  BID  21768
http://www.securityfocus.com/archive/1/archive/1/455302/100/0/threaded
(UNKNOWN)  BUGTRAQ  20061224 phpcms <=- 1.1.7 Remote File Inclusion
http://www.securityfocus.com/archive/1/archive/1/436893/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060612 [FSA013] phpCMS 1.2.1pl2, Remote command execution
http://www.osvdb.org/26397
(UNKNOWN)  OSVDB  26397
http://www.osvdb.org/26396
(UNKNOWN)  OSVDB  26396
http://www.osvdb.org/26395
(UNKNOWN)  OSVDB  26395
http://www.osvdb.org/26394
(UNKNOWN)  OSVDB  26394
http://www.osvdb.org/26393
(UNKNOWN)  OSVDB  26393
http://www.osvdb.org/26392
(UNKNOWN)  OSVDB  26392
http://www.osvdb.org/26391
(UNKNOWN)  OSVDB  26391
http://www.osvdb.org/26390
(UNKNOWN)  OSVDB  26390
http://www.osvdb.org/26389
(UNKNOWN)  OSVDB  26389
http://www.osvdb.org/26388
(UNKNOWN)  OSVDB  26388
http://securityreason.com/securityalert/1106
(UNKNOWN)  SREASON  1106
http://secunia.com/advisories/20573
(VENDOR_ADVISORY)  SECUNIA  20573

- 漏洞信息

phpCMS 多个PHP远程文件包含漏洞
高危 输入验证
2006-06-15 00:00:00 2007-08-13 00:00:00
远程  
        phpCMS 1.2.1pl2存在多个PHP远程文件包含漏洞。远程攻击者可以借助对包括(1) class.parser_phpcms.php, (2) class.session_phpcms.php, (3) class.edit_phpcms.php, (4) class.http_indexer_phpcms.php, (5) class.cache_phpcms.php, (6) class.search_phpcms.php, (7) class.lib_indexer_universal_phpcms.php, 以及(8) class.layout_phpcms.php, (9) parser/plugs/counter.php和(10) parser/parser.php的parser/include/中的文件的PHPCMS_INCLUDEPATH 参数中的URL,执行任意PHP代码。 注意: 报告称class.cache_phpcms.php向量也会影响1.1.7版本。

- 公告与补丁

        暂无数据

- 漏洞信息

26388
phpCMS counter.php PHPCMS_INCLUDEPATH Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

phpCMS contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to counter.php not properly sanitizing user input supplied to the 'PHPCMS_INCLUDEPATH' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-06-12 Unknow
2006-06-12 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站